﻿using MauiAppStock.Views;

namespace MauiAppStock;

public partial class AppShell : Shell
{
    public AppShell()
    {
        InitializeComponent();
        Routing.RegisterRoute(nameof(MainPage), typeof(MainPage));
        Routing.RegisterRoute(nameof(AppareilsPage), typeof(AppareilsPage));
        Routing.RegisterRoute(nameof(PiecesPage), typeof(PiecesPage));
        Routing.RegisterRoute(nameof(SelectAppareilForAssociationPage), typeof(SelectAppareilForAssociationPage));
    }
    protected override void OnNavigating(ShellNavigatingEventArgs args)
    {
        base.OnNavigating(args);

        bool isMainPage = args.Target?.Location?.OriginalString == "//MainPage";
        Shell.SetBackButtonBehavior(this, new BackButtonBehavior { IsVisible = !isMainPage });
    }
}