﻿using SQLite;

namespace MauiAppStock.Models
{
    public class Piece
    {
        [PrimaryKey, AutoIncrement]
        public int Id { get; set; }
        public string? Nom { get; set; }
        public string? Description { get; set; }
        public double Prix { get; set; }
        public int Stock { get; set; }
        public string? Fournisseur { get; set; }
        
        // public int Appareil { get; set; }
        
        [Ignore]
        public bool EstRecommandee { get; set; }
        
        public string DetailView { get { return " ID : " + Id + @" - " + Description; } }
    }
}